Intel® Quark™ Microcontroller Software Interface 1.4.0 Intel® Quark™ Microcontroller BSP

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
qm_scss_gp_reg_t Struct Reference
SoC Registers (D2000) | SoC Registers (SE)

General Purpose register map. More...

`#include <qm_soc_regs.h>`

## Data Fields
QM_RW uint32_t | gps0
| General Purpose Sticky Register 0. More...
QM_RW uint32_t | gps1
| General Purpose Sticky Register 1. More...
QM_RW uint32_t | gps2
| General Purpose Sticky Register 2. More...
QM_RW uint32_t | gps3
| General Purpose Sticky Register 3. More...
QM_RW uint32_t | gp0
| General Purpose Scratchpad Register 0. More...
QM_RW uint32_t | gp1
| General Purpose Scratchpad Register 1. More...
QM_RW uint32_t | gp2
| General Purpose Scratchpad Register 2. More...
QM_RW uint32_t | gp3
| General Purpose Scratchpad Register 3. More...
QM_RW uint32_t | wo_sp
| Write-One-to-Set Scratchpad Register. More...
QM_RW uint32_t | wo_st
| Write-One-to-Set Sticky Scratchpad Register. More...
QM_RW uint32_t | id
| Identification Register.
QM_RW uint32_t | rev
| Revision Register.

## Detailed Description

General Purpose register map.

Definition at line 144 of file qm_soc_regs.h.

## Field Documentation

QM_RW uint32_t qm_scss_gp_reg_t::gp0

General Purpose Scratchpad Register 0.

Definition at line 150 of file qm_soc_regs.h.

QM_RW uint32_t qm_scss_gp_reg_t::gp1

General Purpose Scratchpad Register 1.

Definition at line 151 of file qm_soc_regs.h.

QM_RW uint32_t qm_scss_gp_reg_t::gp2

General Purpose Scratchpad Register 2.

Definition at line 152 of file qm_soc_regs.h.

QM_RW uint32_t qm_scss_gp_reg_t::gp3

General Purpose Scratchpad Register 3.

Definition at line 153 of file qm_soc_regs.h.

QM_RW uint32_t qm_scss_gp_reg_t::gps0

General Purpose Sticky Register 0.

Definition at line 145 of file qm_soc_regs.h.

QM_RW uint32_t qm_scss_gp_reg_t::gps1

General Purpose Sticky Register 1.

Definition at line 146 of file qm_soc_regs.h.

QM_RW uint32_t qm_scss_gp_reg_t::gps2

General Purpose Sticky Register 2.

Definition at line 147 of file qm_soc_regs.h.

QM_RW uint32_t qm_scss_gp_reg_t::gps3

General Purpose Sticky Register 3.

Definition at line 148 of file qm_soc_regs.h.

QM_RW uint32_t qm_scss_gp_reg_t::wo_sp

Write-One-to-Set Scratchpad Register.

Definition at line 155 of file qm_soc_regs.h.

QM_RW uint32_t qm_scss_gp_reg_t::wo_st

Write-One-to-Set Sticky Scratchpad Register.

Definition at line 157 of file qm_soc_regs.h.